Jobs & Runs

Endpoints related to jobs & runs.

GET /run-actuals-additive/

List all run actuals.

List all run actuals.

Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
POST /run-actuals-additive/
Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /run-actuals-additive/{uuid}/

Get a run actuals by UUID.

Get a run actuals by UUID.

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
PUT /run-actuals-additive/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
DELETE /run-actuals-additive/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
GET /run-actuals/

List all run actuals.

List all run actuals.

Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
POST /run-actuals/

RunActuals created in backend on events/triggers on run, or on builds,

RunActuals created in backend on events/triggers on run, or on builds, or TimeEntries. AKA cannot be POST’d to created

Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /run-actuals/{uuid}/

Get a run actuals by UUID.

Get a run actuals by UUID.

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
PUT /run-actuals/{uuid}/

HTTPS PUT is only used to allow end users to update only a few values.

HTTPS PUT is only used to allow end users to update only a few values. User doing PUT will be logged and the ‘edited_by’.

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
DELETE /run-actuals/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
GET /schedule_runs/

responds to API REST GET with no UUID, to get a list of all entries.

responds to API REST GET with no UUID, to get a list of all entries. @returns tuple of (data, status_code, extra headers)

Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

  • 400 Bad Request – Wait until estimation process for this run will finish

POST /schedule_runs/

responds to API REST POST. Creates a new run_estimate from payload

responds to API REST POST. Creates a new run_estimate from payload @returns tuple of (data, status_code, ??)

Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /schedule_runs/{uuid}/

responds to API REST GET , gets single entry from db

responds to API REST GET , gets single entry from db @returns tuple of (data, status_code, ??)

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 200 OK – Successful response

  • 400 Bad Request – Wait until estimation process for this run will finish

PUT /schedule_runs/{uuid}/

responds to API REST PUT. updated an existing run estimate from payload

responds to API REST PUT. updated an existing run estimate from payload

The method handles user-specified schedule modifications and tracks which fields were manually set using edit_locked_columns. When a field is in edit_locked_columns, it indicates that the value was explicitly set by a user and should not be automatically recalculated by the scheduling system.

@returns tuple of (data, status_code, ??)

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
GET /print/

List all of the print in the system for your account.

List all of the print in the system for your account.

Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

  • 404 Not Found – The requested print cannot be found.

  • 403 Forbidden – You are not authorized to complete the request.

GET /print/{uuid}/

Get a single print by UUID.

Get a single print by UUID.

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
POST /job/
Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /create-runs/
Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

  • 400 Bad Request – Run cannot consist of pieces with models and without models at the same time. The requested prints do not have their associated line_items in either confirmed or printing state.

  • 404 Not Found – The requested runs creation process or related object cannot be found.

POST /create-runs/

Post to notify server action reuqest to make runs. Computationally heavy, makes promise here,

Post to notify server action reuqest to make runs. Computationally heavy, makes promise here, real code runs on nautilus-backend async.

Status Codes:
  • 201 Created – Resource created successfully

  • 400 Bad Request – Run cannot consist of pieces with models and without models at the same time. The requested prints do not have their associated line_items in either confirmed or printing state.

  • 404 Not Found – The requested runs creation process or related object cannot be found.

Response Headers:
  • Location – URI of the created resource

GET /create-runs/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 200 OK – Successful response

  • 400 Bad Request – Run cannot consist of pieces with models and without models at the same time. The requested prints do not have their associated line_items in either confirmed or printing state.

  • 404 Not Found – The requested runs creation process or related object cannot be found.

DELETE /create-runs/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 204 No Content – Resource deleted successfully

  • 400 Bad Request – Run cannot consist of pieces with models and without models at the same time. The requested prints do not have their associated line_items in either confirmed or printing state.

  • 404 Not Found – The requested runs creation process or related object cannot be found.